binmode(STDOUT,":utf8"); # utf8 in output
#use warnings;
use utf8;
use feature "say";
use XML::LibXML;

use LLAMMA;

$meteo=LLAMMA;

say $meteo->_version;

@city_list=$meteo->getCityList;

$citta=$meteo->selectCity("BORGO A MOZZANO");
$nome_citta=$meteo->name;
$timestamp=$meteo->getUnixTimestamp;
$lastUpdate=$meteo->lastUpdate;
$sole_sorge=$meteo->sunrise;
$sole_tramonta=$meteo->sunset;
$altezza_sole=$meteo->sun_height;
$max_ora_solare=$meteo->max_sun_hour;
$luna_sorge=$meteo->moon_rises;
$luna_tramonta=$meteo->moon_sets;
@prevs=$meteo->getPrevisions;
$idday=$meteo->getDayByIdday(1);
$weather=$meteo->getWeather(1,$meteo->DAY);
$wind=$meteo->getWeatherStat_wind(1,$meteo->DAY);
$temps_stat=$meteo->getWeatherStat_temps(1,$meteo->DAY);
$uv=$meteo->getUV(1,$meteo->DAY);

$temp_min=$meteo->getTemps(1,$meteo->DAY,$meteo->TEMP_MIN);
$temp_max=$meteo->getTemps(1,$meteo->DAY,$meteo->TEMP_MAX);

$temp_real=$meteo->getTemps(1,$meteo->MORNING,$meteo->TEMP_REAL);
$temp_perc=$meteo->getTemps(1,$meteo->MORNING,$meteo->TEMP_PERC);

$inversion=$meteo->getInversion(1,$meteo->MORNING);
$umidità=$meteo->getHumidity(1,$meteo->MORNING);
$prob_piogge=$meteo->getRainProbability(1,$meteo->MORNING);
$snow_lv=$meteo->getSnowLevel(1,$meteo->MORNING);
$alert=$meteo->getAlert(1,$meteo->DAY);
$hydro_risk=$meteo->getRisk(1,$meteo->HYDRO_RISK);
$geohydro_risk=$meteo->getRisk(1,$meteo->GEO_HYDRO_RISK);
$thunderstorm_risk=$meteo->getRisk(1,$meteo->THUNDERSTORM_RISK);
$wind_risk=$meteo->getRisk(1,$meteo->WIND_RISK);
$snow_risk=$meteo->getRisk(1,$meteo->SNOW_RISK);
$ice_risk=$meteo->getRisk(1,$meteo->ICE_RISK);


say "Citta: $nome_citta";
say "timestamp: $timestamp";
say "ultimo aggiornamento: $lastUpdate";
say "sole sorge: $sole_sorge";
say "sole tramonta: $sole_tramonta";
say "altezza sole: $altezza_sole";
say "massima ora solare: $max_ora_solare";
say "luna sorge: $luna_sorge";
say "luna tramonta: $luna_tramonta";
say "giorno: $idday";

say "condizione climatica: $weather";
say "vento: $wind";
say "temperature: $temps_stat";
say "UV: $uv";
say "min: $temp_min";
say "max: $temp_max";
say "temp real: $temp_real";
say "temp perc: $temp_perc";

say "inversione: $inversion";
say "umidità: $umidità";
say "probabilità piogge: $prob_piogge";
say "quota neve: $snow_lv";
say "stato allerta: $alert";
say "rischio idrico: $hydro_risk";
say "rischio idrogeologico: $geohydro_risk";
say "rischio temporali: $thunderstorm_risk";
say "rischio vento: $wind_risk";
say "rischio neve: $snow_risk";
say "rischio ghiaccio: $ice_risk";
